#
# spec file for package smurf (Version 0.50.1a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile glib glib-devel gtk gtk-devel libpng libsndfile libsndfile-devel xf86
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libpng libsndfile libsndfile-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         smurf
%define prefix	/usr
Summary:      A SoundFont Editor
Version:      0.50.1a
Release:      142
Copyright: GPL
Group: Applications/Multimedia
Source: smurf-%{version}.tar.bz2
# Patch: smurf.dif
URL: http://smurf.sourceforge.net
BuildRoot:	/tmp/%{name}-%{version}-root

%description
Smurf is a GTK based sound font editor. Sound font files are
a collection of audio samples and other data that describe
instruments for wavetable sound cards. Smurf currently
supports the AWE 32/64 and has limited support for the
GUS/SoftOSS driver which can use any OSS supported 16 bit
sound card.

Authors:
--------
    Josh Green <jgreen@users.sourceforge.net>

SuSE series: snd

%prep
%setup -q
# %patch

%build
%{?suse_update_config:%{suse_update_config -fl}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make prefix="$RPM_BUILD_ROOT"%{prefix} install
# normal check for compressed man pages:

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README
%{prefix}/bin/smurf
%{prefix}/share/locale/*

%changelog -n smurf
* Fri Feb 09 2001 - tiwai@suse.de
- updated to ver.0.50.1a.
* Mon Feb 05 2001 - tiwai@suse.de
- updated to ver.0.50.1.
* Thu Jan 04 2001 - tiwai@suse.de
- Updated to ver.0.50.0.
* Thu Nov 02 2000 - tiwai@suse.de
- Fixed typo.
* Thu Nov 02 2000 - tiwai@suse.de
- Fixed spec file for long package-name support.
* Tue Sep 26 2000 - tiwai@suse.de
- Update to 0.49.8
- Use bzip2 for archive
* Wed Sep 06 2000 - tiwai@suse.de
- Initial release: ver.0.49.5 with ALSA, OSS and libsnd support.
